toolzerhub API Docs

Get profile

Get a public Weibo profile and its follower, following, and post counts.

1 credit / requestBilled only on success
GET
/v1/weibo/profiles/info

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

uid*string

The all-digit user id from the profile's URL.

curl -X GET "https://example.com/v1/weibo/profiles/info?uid=1699432410" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "1699432410",    "screen_name": "新华社",    "description": "string",    "location": "string",    "gender": "string",    "verified": true,    "verified_type": 0,    "verified_reason": "string",    "followers_count": 0,    "friends_count": 0,    "statuses_count": 0,    "profile_image_url": "string",    "avatar_hd": "string",    "status_total_counter": {      "property1": null,      "property2": null    }  }}